Package: org.codehaus.groovy.antlr.java

## [Java] Class JavaLexer

- org.codehaus.groovy.antlr.java.JavaLexer

- All Implemented Interfaces and Traits:
    JavaTokenTypes, antlr.TokenStream

      public class JavaLexer
      extends antlr.CharScanner

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static int` | `SCS_LIMIT` |
    `protected static int` | `SCS_LIT` |
    `protected static int` | `SCS_RE_TYPE` |
    `protected static int` | `SCS_SQ_TYPE` |
    `protected static int` | `SCS_TQ_TYPE` |
    `protected static int` | `SCS_TYPE` |
    `protected static int` | `SCS_VAL` |
    `static BitSet` | `_tokenSet_0` |
    `static BitSet` | `_tokenSet_1` |
    `static BitSet` | `_tokenSet_2` |
    `static BitSet` | `_tokenSet_3` |
    `static BitSet` | `_tokenSet_4` |
    `static BitSet` | `_tokenSet_5` |
    `protected int` | `lastSigTokenType` |
    `protected JavaRecognizer` | `parser` |
    `protected int` | `stringCtorState` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class antlr.CharScanner` | `EOF_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JavaLexer (InputStream in)`
    `JavaLexer (Reader in)`
    `JavaLexer (antlr.InputBuffer ib)`
    `JavaLexer (antlr.LexerSharedInputState state)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `enableAssert(boolean shouldEnable)` Enable the "assert" keyword
    `` | `void` | `enableEnum(boolean shouldEnable)` Enable the "enum" keyword
    `` | `boolean` | `isAssertEnabled()` Query the "assert" keyword state
    `` | `boolean` | `isEnumEnabled()` Query the "enum" keyword state
    `` | `void` | `mASSIGN(boolean _createToken)`
    `` | `void` | `mAT(boolean _createToken)`
    `` | `void` | `mBAND(boolean _createToken)`
    `` | `void` | `mBAND_ASSIGN(boolean _createToken)`
    `` | `void` | `mBNOT(boolean _createToken)`
    `` | `void` | `mBOR(boolean _createToken)`
    `` | `void` | `mBOR_ASSIGN(boolean _createToken)`
    `` | `void` | `mBSR(boolean _createToken)`
    `` | `void` | `mBSR_ASSIGN(boolean _createToken)`
    `` | `void` | `mBXOR(boolean _createToken)`
    `` | `void` | `mBXOR_ASSIGN(boolean _createToken)`
    `` | `void` | `mCHAR_LITERAL(boolean _createToken)`
    `` | `void` | `mCOLON(boolean _createToken)`
    `` | `void` | `mCOMMA(boolean _createToken)`
    `` | `void` | `mDEC(boolean _createToken)`
    `` | `void` | `mDIV(boolean _createToken)`
    `` | `void` | `mDIV_ASSIGN(boolean _createToken)`
    `` | `void` | `mEQUAL(boolean _createToken)`
    `` | `protected void` | `mESC(boolean _createToken)`
    `` | `protected void` | `mEXPONENT(boolean _createToken)`
    `` | `protected void` | `mFLOAT_SUFFIX(boolean _createToken)`
    `` | `void` | `mGE(boolean _createToken)`
    `` | `void` | `mGT(boolean _createToken)`
    `` | `protected void` | `mHEX_DIGIT(boolean _createToken)`
    `` | `void` | `mIDENT(boolean _createToken)`
    `` | `void` | `mINC(boolean _createToken)`
    `` | `void` | `mLAND(boolean _createToken)`
    `` | `void` | `mLBRACK(boolean _createToken)`
    `` | `void` | `mLCURLY(boolean _createToken)`
    `` | `void` | `mLE(boolean _createToken)`
    `` | `void` | `mLNOT(boolean _createToken)`
    `` | `void` | `mLOR(boolean _createToken)`
    `` | `void` | `mLPAREN(boolean _createToken)`
    `` | `void` | `mLT(boolean _createToken)`
    `` | `void` | `mMINUS(boolean _createToken)`
    `` | `void` | `mMINUS_ASSIGN(boolean _createToken)`
    `` | `void` | `mML_COMMENT(boolean _createToken)`
    `` | `void` | `mMOD(boolean _createToken)`
    `` | `void` | `mMOD_ASSIGN(boolean _createToken)`
    `` | `void` | `mNOT_EQUAL(boolean _createToken)`
    `` | `void` | `mNUM_INT(boolean _createToken)`
    `` | `void` | `mPLUS(boolean _createToken)`
    `` | `void` | `mPLUS_ASSIGN(boolean _createToken)`
    `` | `void` | `mQUESTION(boolean _createToken)`
    `` | `void` | `mRBRACK(boolean _createToken)`
    `` | `void` | `mRCURLY(boolean _createToken)`
    `` | `void` | `mRPAREN(boolean _createToken)`
    `` | `void` | `mSEMI(boolean _createToken)`
    `` | `void` | `mSL(boolean _createToken)`
    `` | `void` | `mSL_ASSIGN(boolean _createToken)`
    `` | `void` | `mSL_COMMENT(boolean _createToken)`
    `` | `void` | `mSR(boolean _createToken)`
    `` | `void` | `mSR_ASSIGN(boolean _createToken)`
    `` | `void` | `mSTAR(boolean _createToken)`
    `` | `void` | `mSTAR_ASSIGN(boolean _createToken)`
    `` | `void` | `mSTRING_LITERAL(boolean _createToken)`
    `` | `protected void` | `mVOCAB(boolean _createToken)`
    `` | `void` | `mWS(boolean _createToken)`
    `` | `antlr.Token` | `nextToken()`
    `` | `antlr.TokenStream` | `plumb()` This is a bit of plumbing which resumes collection of string constructor bodies, after an embedded expression has been parsed.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class antlr.CharScanner`

    `antlr.CharScanner#getLine(), antlr.CharScanner#setFilename(java.lang.String), antlr.CharScanner#getColumn(), antlr.CharScanner#LA(int), antlr.CharScanner#setTokenObjectClass(java.lang.String), antlr.CharScanner#consumeUntil(antlr.collections.impl.BitSet), antlr.CharScanner#consumeUntil(int), antlr.CharScanner#getCaseSensitive(), antlr.CharScanner#getCaseSensitiveLiterals(), antlr.CharScanner#setColumn(int), antlr.CharScanner#getCommitToPath(), antlr.CharScanner#getInputBuffer(), antlr.CharScanner#getInputState(), antlr.CharScanner#setInputState(antlr.LexerSharedInputState), antlr.CharScanner#getTokenObject(), antlr.CharScanner#setLine(int), antlr.CharScanner#panic(), antlr.CharScanner#panic(java.lang.String), antlr.CharScanner#matchNot(char), antlr.CharScanner#matchRange(char, char), antlr.CharScanner#setTabSize(int), antlr.CharScanner#getTabSize(), antlr.CharScanner#reportWarning(java.lang.String), antlr.CharScanner#resetText(), antlr.CharScanner#setCommitToPath(boolean), antlr.CharScanner#testLiteralsTable(java.lang.String, int), antlr.CharScanner#testLiteralsTable(int), antlr.CharScanner#traceIndent(), antlr.CharScanner#traceIn(java.lang.String), antlr.CharScanner#traceOut(java.lang.String), antlr.CharScanner#uponEOF(), antlr.CharScanner#append(java.lang.String), antlr.CharScanner#append(char), antlr.CharScanner#commit(), antlr.CharScanner#match(char), antlr.CharScanner#match(antlr.collections.impl.BitSet), antlr.CharScanner#match(java.lang.String), antlr.CharScanner#tab(), antlr.CharScanner#mark(), antlr.CharScanner#toLower(char), antlr.CharScanner#rewind(int), antlr.CharScanner#getText(), antlr.CharScanner#setCaseSensitive(boolean), antlr.CharScanner#reportError(java.lang.String), antlr.CharScanner#reportError(antlr.RecognitionException), antlr.CharScanner#consume(), antlr.CharScanner#setText(java.lang.String), antlr.CharScanner#getFilename(), antlr.CharScanner#newline(), antlr.CharScanner#equals(java.lang.Object), antlr.CharScanner#toString(), antlr.CharScanner#hashCode(), antlr.CharScanner#getClass(), antlr.CharScanner#notify(), antlr.CharScanner#notifyAll(), antlr.CharScanner#wait(long), antlr.CharScanner#wait(long, int), antlr.CharScanner#wait(), antlr.CharScanner#nextToken()`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected static final int SCS_LIMIT

    - #### protected static final int SCS_LIT

    - #### protected static final int SCS_RE_TYPE

    - #### protected static final int SCS_SQ_TYPE

    - #### protected static final int SCS_TQ_TYPE

    - #### protected static final int SCS_TYPE

    - #### protected static final int SCS_VAL

    - #### public static final BitSet _tokenSet_0

    - #### public static final BitSet _tokenSet_1

    - #### public static final BitSet _tokenSet_2

    - #### public static final BitSet _tokenSet_3

    - #### public static final BitSet _tokenSet_4

    - #### public static final BitSet _tokenSet_5

    - #### protected int lastSigTokenType

    - #### protected JavaRecognizer parser

    - #### protected int stringCtorState

  - ### Constructor Detail

    - #### public JavaLexer(InputStream in)

    - #### public JavaLexer(Reader in)

    - #### public JavaLexer(antlr.InputBuffer ib)

    - #### public JavaLexer(antlr.LexerSharedInputState state)

  - ### Method Detail

    - #### public void enableAssert(boolean shouldEnable)

      Enable the "assert" keyword

    - #### public void enableEnum(boolean shouldEnable)

      Enable the "enum" keyword

    - #### public boolean isAssertEnabled()

      Query the "assert" keyword state

    - #### public boolean isEnumEnabled()

      Query the "enum" keyword state

    - #### public final void mASSIGN(boolean _createToken)

    - #### public final void mAT(boolean _createToken)

    - #### public final void mBAND(boolean _createToken)

    - #### public final void mBAND_ASSIGN(boolean _createToken)

    - #### public final void mBNOT(boolean _createToken)

    - #### public final void mBOR(boolean _createToken)

    - #### public final void mBOR_ASSIGN(boolean _createToken)

    - #### public final void mBSR(boolean _createToken)

    - #### public final void mBSR_ASSIGN(boolean _createToken)

    - #### public final void mBXOR(boolean _createToken)

    - #### public final void mBXOR_ASSIGN(boolean _createToken)

    - #### public final void mCHAR_LITERAL(boolean _createToken)

    - #### public final void mCOLON(boolean _createToken)

    - #### public final void mCOMMA(boolean _createToken)

    - #### public final void mDEC(boolean _createToken)

    - #### public final void mDIV(boolean _createToken)

    - #### public final void mDIV_ASSIGN(boolean _createToken)

    - #### public final void mEQUAL(boolean _createToken)

    - #### protected final void mESC(boolean _createToken)

    - #### protected final void mEXPONENT(boolean _createToken)

    - #### protected final void mFLOAT_SUFFIX(boolean _createToken)

    - #### public final void mGE(boolean _createToken)

    - #### public final void mGT(boolean _createToken)

    - #### protected final void mHEX_DIGIT(boolean _createToken)

    - #### public final void mIDENT(boolean _createToken)

    - #### public final void mINC(boolean _createToken)

    - #### public final void mLAND(boolean _createToken)

    - #### public final void mLBRACK(boolean _createToken)

    - #### public final void mLCURLY(boolean _createToken)

    - #### public final void mLE(boolean _createToken)

    - #### public final void mLNOT(boolean _createToken)

    - #### public final void mLOR(boolean _createToken)

    - #### public final void mLPAREN(boolean _createToken)

    - #### public final void mLT(boolean _createToken)

    - #### public final void mMINUS(boolean _createToken)

    - #### public final void mMINUS_ASSIGN(boolean _createToken)

    - #### public final void mML_COMMENT(boolean _createToken)

    - #### public final void mMOD(boolean _createToken)

    - #### public final void mMOD_ASSIGN(boolean _createToken)

    - #### public final void mNOT_EQUAL(boolean _createToken)

    - #### public final void mNUM_INT(boolean _createToken)

    - #### public final void mPLUS(boolean _createToken)

    - #### public final void mPLUS_ASSIGN(boolean _createToken)

    - #### public final void mQUESTION(boolean _createToken)

    - #### public final void mRBRACK(boolean _createToken)

    - #### public final void mRCURLY(boolean _createToken)

    - #### public final void mRPAREN(boolean _createToken)

    - #### public final void mSEMI(boolean _createToken)

    - #### public final void mSL(boolean _createToken)

    - #### public final void mSL_ASSIGN(boolean _createToken)

    - #### public final void mSL_COMMENT(boolean _createToken)

    - #### public final void mSR(boolean _createToken)

    - #### public final void mSR_ASSIGN(boolean _createToken)

    - #### public final void mSTAR(boolean _createToken)

    - #### public final void mSTAR_ASSIGN(boolean _createToken)

    - #### public final void mSTRING_LITERAL(boolean _createToken)

    - #### protected final void mVOCAB(boolean _createToken)

    - #### public final void mWS(boolean _createToken)

    - #### public antlr.Token nextToken()

    - #### public antlr.TokenStream plumb()

      This is a bit of plumbing which resumes collection of string constructor bodies, after an embedded expression has been parsed. Usage: new JavaRecognizer(new JavaLexer(in).plumb()).